Google

Office 365 for Mac users need to be on Sierra or High Sierra starting in September

Written on:August 23, 2018
Comments are closed

Microsoft announced that all Office 365 users must run macOS 10.12 or later starting next month, in order to update to the new version of the Office 365 for Mac and get the upcoming feature updates. Read more…
Neowin

Sorry, the comment form is closed at this time.